import request from '@/config/axios'

export interface TagsVO {
  id: number
  tagName: string
  textColor: string
  bgColor: string
}

// 查询标签管理列表
export const getTagsPage = async (params) => {
  return await request.get({ url: `/member/tags/page`, params })
}

// 查询标签管理详情
export const getTags = async (id: number) => {
  return await request.get({ url: `/member/tags/get?id=` + id })
}

// 新增标签管理
export const createTags = async (data: TagsVO) => {
  return await request.post({ url: `/member/tags/create`, data })
}

// 修改标签管理
export const updateTags = async (data: TagsVO) => {
  return await request.put({ url: `/member/tags/update`, data })
}

// 删除标签管理
export const deleteTags = async (id: number) => {
  return await request.delete({ url: `/member/tags/delete?id=` + id })
}

// 导出标签管理 Excel
export const exportTags = async (params) => {
  return await request.download({ url: `/member/tags/export-excel`, params })
}
